Results 1 to 10 of 10

Thread: Sound Converter not recognizing mp3 encoder

  1. #1
    Join Date
    Apr 2015
    Location
    Indiana
    Posts
    87

    Default Sound Converter not recognizing mp3 encoder

    I have been using Sound Converter for a few years now with no problems, but today I am trying to convert some new mp3 files to ogg. Currently I am running openSUSE 42.2 with a kde desktop.
    After selecting the files I clicked Convert and nothing happened. Then I chose Preferences to find that Sound Converter says that the mp3 encoder is not present. Then after checking to see which encoder needs to be installed I opened my terminal and ran
    Code:
    zypper search gstreamer
    The out put is as follows:
    Code:
    bryan@FamilyDesktop:~> zypper search gstreamer-0_10-plugins-ugly
    Loading repository data...                                                                  
    Reading installed packages...                                                               
                                                                                                
    S | Name                                                   | Summary            | Type      
    --+--------------------------------------------------------+--------------------+-----------
    i | gstreamer-0_10-plugins-ugly                            | GStreamer Stream-> | package   
      | gstreamer-0_10-plugins-ugly                            | GStreamer Stream-> | srcpackage
      | gstreamer-0_10-plugins-ugly-32bit                      | GStreamer Stream-> | package   
      | gstreamer-0_10-plugins-ugly-debuginfo                  | Debug informatio-> | package   
      | gstreamer-0_10-plugins-ugly-debuginfo-32bit            | Debug informatio-> | package   
      | gstreamer-0_10-plugins-ugly-debugsource                | Debug sources fo-> | package   
      | gstreamer-0_10-plugins-ugly-doc                        | GStreamer Stream-> | package   
    i | gstreamer-0_10-plugins-ugly-lang                       | Languages for pa-> | package   
    i | gstreamer-0_10-plugins-ugly-orig-addon                 | GStreamer Stream-> | package   
      | gstreamer-0_10-plugins-ugly-orig-addon-32bit           | GStreamer Stream-> | package   
      | gstreamer-0_10-plugins-ugly-orig-addon-debuginfo       | Debug informatio-> | package   
      | gstreamer-0_10-plugins-ugly-orig-addon-debuginfo-32bit | Debug informatio-> | package   
    bryan@FamilyDesktop:~>
    As you can see gstreamer-0_10-pluggins-ugly-orig-addon is installed. What else should I do for Sound Converter to recognize the mp3 encoder?
    Bryan Sailer
    SpaceMonkey
    openSUSE LEAP 15.1
    KDE
    "Don't sweat the small stuff, it's all small stuff"

  2. #2

    Default Re: Sound Converter not recognizing mp3 encoder

    What package did you install from where?
    Is it this?
    Code:
    wolfi@amiga:~> LANG=C zypper se -s soundconverter
    Loading repository data...
    Reading installed packages...
    
    S | Name                | Type       | Version         | Arch   | Repository        
    --+---------------------+------------+-----------------+--------+-------------------
      | soundconverter      | package    | 2.9.0~beta2-3.1 | x86_64 | Packman Repository
      | soundconverter      | srcpackage | 2.9.0~beta2-3.1 | noarch | Packman Repository
      | soundconverter-lang | package    | 2.9.0~beta2-3.1 | noarch | Packman Repository
    AFAICS, this seems to use gstreamer 1.x, so that package list you posted with gstreamer 0.10 packages is irrelevant.

    Make sure that gstreamer-plugins-ugly-orig-addon is installed (from Packman), and you should have a gstreamer mp3 encoder.

  3. #3
    Join Date
    Apr 2017
    Location
    Piemont
    Posts
    274

    Default Re: Sound Converter not recognizing mp3 encoder

    Lame and gstreamer-fluendo-mp3 are installed ?

  4. #4
    Join Date
    Apr 2015
    Location
    Indiana
    Posts
    87

    Default Re: Sound Converter not recognizing mp3 encoder

    V_idocq,
    Yes, I ran a search on my system and verified that lame and gstreamer-fluendo-mp3 are installed.

    wolfi323,
    I ran the command that you sent me and the results are below.
    Code:
    bryan@FamilyDesktop:~> LANG=C zypper se -s soundconverter
    Loading repository data...
    Reading installed packages...
    
    S  | Name                | Type       | Version         | Arch   | Repository        
    ---+---------------------+------------+-----------------+--------+-------------------
    i+ | soundconverter      | package    | 2.9.0~beta2-3.1 | x86_64 | Packman Repository
       | soundconverter      | srcpackage | 2.9.0~beta2-3.1 | noarch | Packman Repository
       | soundconverter-lang | package    | 2.9.0~beta2-3.1 | noarch | Packman Repository
    Originally, gstreamer was installed from OSS repository so I removed gstreamer and reinstalled it but it still installs from OSS repository. Here is the out put showing gstreamer and the repository it was installed from.
    Code:
    bryan@FamilyDesktop:~> LANG=C zypper se -s gstreamer
    Loading repository data...
    Reading installed packages...
    
    S  | Name                                                   | Type        | Version             | Arch   | Repository        
    ---+--------------------------------------------------------+-------------+---------------------+--------+-------------------
    i+ | GStreamer Multimedia Codecs                            | application |                     | noarch | (System Packages) 
       | PackageKit-gstreamer-plugin                            | package     | 1.1.3-2.3           | x86_64 | LEAP 42.2 OSS     
    i  | gstreamer                                              | package     | 1.8.3-2.3.1         | x86_64 | (System Packages) 
    v  | gstreamer                                              | package     | 1.10.4-5.7          | x86_64 | Packman Repository
    v  | gstreamer                                              | package     | 1.8.3-1.8           | x86_64 | LEAP 42.2 OSS     
       | gstreamer                                              | srcpackage  | 1.10.4-5.7          | noarch | Packman Repository
    v  | gstreamer-0_10                                         | package     | 0.10.36-19.1        | x86_64 | Packman Repository
    i+ | gstreamer-0_10                                         | package     | 0.10.36-16.2        | x86_64 | LEAP 42.2 OSS     
    v  | gstreamer-0_10-lang                                    | package     | 0.10.36-19.1        | noarch | Packman Repository
    i+ | gstreamer-0_10-lang                                    | package     | 0.10.36-16.2        | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-0_10-plugin-esd                              | package     | 0.10.31-17.3.1      | x86_64 | (System Packages) 
    v  | gstreamer-0_10-plugin-esd                              | package     | 0.10.31-17.11.5     | x86_64 | Packman Repository
    v  | gstreamer-0_10-plugin-esd                              | package     | 0.10.31-16.30       | x86_64 | LEAP 42.2 OSS     
    v  | gstreamer-0_10-plugin-gnomevfs                         | package     | 0.10.36-17.2        | x86_64 | Packman Repository
    i+ | gstreamer-0_10-plugin-gnomevfs                         | package     | 0.10.36-14.6        | x86_64 | LEAP 42.2 OSS     
       | gstreamer-0_10-plugin-gnomevfs-debuginfo               | package     | 0.10.36-17.2        | x86_64 | Packman Repository
    i+ | gstreamer-0_10-plugins-bad                             | package     | 0.10.23-27.1        | x86_64 | (System Packages) 
    v  | gstreamer-0_10-plugins-bad                             | package     | 0.10.23-29.15.8     | x86_64 | Packman Repository
    v  | gstreamer-0_10-plugins-bad                             | package     | 0.10.23-22.17       | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-0_10-plugins-bad-lang                        | package     | 0.10.23-27.1        | noarch | (System Packages) 
    v  | gstreamer-0_10-plugins-bad-lang                        | package     | 0.10.23-29.15.8     | noarch | Packman Repository
    v  | gstreamer-0_10-plugins-bad-lang                        | package     | 0.10.23-22.17       | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-0_10-plugins-bad-orig-addon                  | package     | 0.10.23-187.2       | x86_64 | (System Packages) 
    v  | gstreamer-0_10-plugins-bad-orig-addon                  | package     | 0.10.23-29.15.8     | x86_64 | Packman Repository
    v  | gstreamer-0_10-plugins-base                            | package     | 0.10.36-17.2        | x86_64 | Packman Repository
    i+ | gstreamer-0_10-plugins-base                            | package     | 0.10.36-14.6        | x86_64 | LEAP 42.2 OSS 
    v  | gstreamer-0_10-plugins-base-lang                       | package     | 0.10.36-17.2        | noarch | Packman Repository
    i+ | gstreamer-0_10-plugins-base-lang                       | package     | 0.10.36-14.6        | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-0_10-plugins-ffmpeg                          | package     | 0.10.13_p201211-3.1 | x86_64 | Packman Repository
    i+ | gstreamer-0_10-plugins-fluendo_mp3                     | package     | 0.10.18-3.2         | x86_64 | Packman Repository
    i+ | gstreamer-0_10-plugins-fluendo_mpegdemux               | package     | 0.10.71-2.2         | x86_64 | Packman Repository
    i+ | gstreamer-0_10-plugins-fluendo_mpegmux                 | package     | 0.10.4-46.2         | x86_64 | (System Packages) 
    i+ | gstreamer-0_10-plugins-good                            | package     | 0.10.31-17.3.1      | x86_64 | (System Packages) 
    v  | gstreamer-0_10-plugins-good                            | package     | 0.10.31-17.11.5     | x86_64 | Packman Repository
    v  | gstreamer-0_10-plugins-good                            | package     | 0.10.31-16.30       | x86_64 | LEAP 42.2 OSS        
    i+ | gstreamer-0_10-plugins-good-extra                      | package     | 0.10.31-17.3.1      | x86_64 | (System Packages) 
    v  | gstreamer-0_10-plugins-good-extra                      | package     | 0.10.31-17.11.5     | x86_64 | Packman Repository
    v  | gstreamer-0_10-plugins-good-extra                      | package     | 0.10.31-16.30       | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-0_10-plugins-good-lang                       | package     | 0.10.31-17.3.1      | noarch | (System Packages) 
    v  | gstreamer-0_10-plugins-good-lang                       | package     | 0.10.31-17.11.5     | noarch | Packman Repository
    v  | gstreamer-0_10-plugins-good-lang                       | package     | 0.10.31-16.30       | noarch | LEAP 42.2 OSS     
    v  | gstreamer-0_10-plugins-ugly                            | package     | 0.10.19-20.1        | x86_64 | Packman Repository
    i+ | gstreamer-0_10-plugins-ugly                            | package     | 0.10.19-17.3        | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-0_10-plugins-ugly-lang                       | package     | 0.10.19-20.1        | noarch | Packman Repository
    v  | gstreamer-0_10-plugins-ugly-lang                       | package     | 0.10.19-17.3        | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-0_10-plugins-ugly-orig-addon                 | package     | 0.10.19-20.1        | x86_64 | Packman Repository
    i+ | gstreamer-fluendo-mp3                                  | package     | 21-1.3              | x86_64 | LEAP 42.2 Non OSS 
    i+ | gstreamer-lang                                         | package     | 1.8.3-2.3.1         | noarch | (System Packages) 
    v  | gstreamer-lang                                         | package     | 1.10.4-5.7          | noarch | Packman Repository
    v  | gstreamer-lang                                         | package     | 1.8.3-1.8           | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-libnice                                      | package     | 0.1.13-4.5          | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-plugin-gstclutter                            | package     | 2.0.18-1.5          | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-plugin-gstclutter-3_0                        | package     | 3.0.18-1.5          | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-plugins-bad                                  | package     | 1.8.3-5.3.1         | x86_64 | (System Packages) 
    v  | gstreamer-plugins-bad                                  | package     | 1.10.4-7.5          | x86_64 | Packman Repository
    v  | gstreamer-plugins-bad                                  | package     | 1.8.3-1.3           | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-plugins-bad-lang                             | package     | 1.8.3-5.3.1         | noarch | (System Packages) 
    v  | gstreamer-plugins-bad-lang                             | package     | 1.10.4-7.5          | noarch | Packman Repository
    v  | gstreamer-plugins-bad-lang                             | package     | 1.8.3-1.3           | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-plugins-base                                 | package     | 1.8.3-5.3.2         | x86_64 | (System Packages) 
    v  | gstreamer-plugins-base                                 | package     | 1.10.4-4.17         | x86_64 | Packman Repository
    v  | gstreamer-plugins-base                                 | package     | 1.8.3-1.4           | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-plugins-base-lang                            | package     | 1.8.3-5.3.2         | noarch | (System Packages) 
    v  | gstreamer-plugins-base-lang                            | package     | 1.10.4-4.17         | noarch | Packman Repository
    v  | gstreamer-plugins-base-lang                            | package     | 1.8.3-1.4           | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-plugins-farstream                            | package     | 0.2.8-1.5           | x86_64 | LEAP 42.2 OSS          
    i+ | gstreamer-plugins-good                                 | package     | 1.8.3-5.6.1         | x86_64 | (System Packages) 
    v  | gstreamer-plugins-good                                 | package     | 1.10.4-4.2          | x86_64 | Packman Repository
    v  | gstreamer-plugins-good                                 | package     | 1.8.3-1.3           | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-plugins-good-extra                           | package     | 1.8.3-5.6.1         | x86_64 | (System Packages) 
    v  | gstreamer-plugins-good-extra                           | package     | 1.10.4-4.2          | x86_64 | Packman Repository
    v  | gstreamer-plugins-good-extra                           | package     | 1.8.3-1.3           | x86_64 | LEAP 42.2 OSS     
    i+ | gstreamer-plugins-good-lang                            | package     | 1.8.3-5.6.1         | noarch | (System Packages) 
    v  | gstreamer-plugins-good-lang                            | package     | 1.10.4-4.2          | noarch | Packman Repository
    v  | gstreamer-plugins-good-lang                            | package     | 1.8.3-1.3           | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-plugins-qt                                   | package     | 1.2.0-5.3           | x86_64 | LEAP 42.2 OSS        
    v  | gstreamer-plugins-ugly                                 | package     | 1.10.4-4.4          | x86_64 | Packman Repository
    i+ | gstreamer-plugins-ugly                                 | package     | 1.8.3-1.2           | x86_64 | LEAP 42.2 OSS     
    v  | gstreamer-plugins-ugly-lang                            | package     | 1.10.4-4.4          | noarch | Packman Repository
    i+ | gstreamer-plugins-ugly-lang                            | package     | 1.8.3-1.2           | noarch | LEAP 42.2 OSS     
    i+ | gstreamer-utils                                        | package     | 1.8.3-2.3.1         | x86_64 | (System Packages) 
    v  | gstreamer-utils                                        | package     | 1.10.4-5.7          | x86_64 | Packman Repository
    v  | gstreamer-utils                                        | package     | 1.8.3-1.8           | x86_64 | LEAP 42.2 OSS     
    v  | libgstreamer-0_10-0                                    | package     | 0.10.36-19.1        | x86_64 | Packman Repository
    i+ | libgstreamer-0_10-0                                    | package     | 0.10.36-16.2        | x86_64 | LEAP 42.2 OSS     
    i+ | libgstreamer-1_0-0                                     | package     | 1.8.3-2.3.1         | x86_64 | (System Packages) 
    v  | libgstreamer-1_0-0                                     | package     | 1.10.4-5.7          | x86_64 | Packman Repository
    v  | libgstreamer-1_0-0                                     | package     | 1.8.3-1.8           | x86_64 | LEAP 42.2 OSS     
    i+ | libgupnp-dlna-backend-gstreamer                        | package     | 0.10.5-3.2          | x86_64 | LEAP 42.2 OSS     
    i+ | phonon-backend-gstreamer                               | package     | 4.8.2-4.1           | x86_64 | LEAP 42.2 OSS     
    i+ | phonon4qt5-backend-gstreamer                           | package     | 4.9.0-1.2           | x86_64 | LEAP 42.2 OSS     
    v  | python-gstreamer-0_10                                  | package     | 0.10.22-16.1        | x86_64 | Packman Repository
    i+ | python-gstreamer-0_10                                  | package     | 0.10.22-14.4        | x86_64 | LEAP 42.2 OSS
    I had to remove packages from the list that were not installed in order for it to fit on the forum. Should I disable LEAP 42.2 OSS repository?
    Bryan Sailer
    SpaceMonkey
    openSUSE LEAP 15.1
    KDE
    "Don't sweat the small stuff, it's all small stuff"

  5. #5
    Join Date
    Apr 2015
    Location
    Indiana
    Posts
    87

    Default Re: Sound Converter not recognizing mp3 encoder

    I also received this output when updating my system. Could this be a problem?

    Code:
    bryan@FamilyDesktop:~> sudo zypper update
    root's password:
    Loading repository data...
    Reading installed packages...
    
    The following 112 package updates will NOT be installed:
      flac gstreamer gstreamer-0_10 gstreamer-0_10-lang gstreamer-0_10-plugin-esd gstreamer-0_10-plugin-gnomevfs
      gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-bad-lang gstreamer-0_10-plugins-base
      gstreamer-0_10-plugins-base-lang gstreamer-0_10-plugins-good gstreamer-0_10-plugins-good-extra
      gstreamer-0_10-plugins-good-lang gstreamer-0_10-plugins-ugly gstreamer-lang gstreamer-plugins-bad
      gstreamer-plugins-bad-lang gstreamer-plugins-base gstreamer-plugins-base-lang gstreamer-plugins-good
      gstreamer-plugins-good-extra gstreamer-plugins-good-lang gstreamer-plugins-ugly gstreamer-plugins-ugly-lang
      gstreamer-utils k3b kdenlive liba52-0 libavcodec56 libavformat56 libavutil54 libbctoolbox0 libbzrtp0
      libchromaprint1 libdca0 libFLAC++6 libFLAC8 libfreebl3 libfreebl3-32bit libgstadaptivedemux-1_0-0
      libgstallocators-1_0-0 libgstapp-0_10-0 libgstapp-1_0-0 libgstaudio-1_0-0 libgstbadaudio-1_0-0
      libgstbadbase-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-0_10-23 libgstbasecamerabinsrc-1_0-0
      libgstbasevideo-0_10-23 libgstcodecparsers-0_10-23 libgstcodecparsers-1_0-0 libgstfft-1_0-0 libgstgl-1_0-0
      libgstinterfaces-0_10-0 libgstmpegts-1_0-0 libgstpbutils-1_0-0 libgstphotography-0_10-23 libgstphotography-1_0-0
      libgstreamer-0_10-0 libgstreamer-1_0-0 libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0
      libgstsignalprocessor-0_10-23 libgsttag-1_0-0 libgsturidownloader-1_0-0 libgstvdp-0_10-23 libgstvideo-1_0-0
      libmad0 libmjpegutils-2_0-0 libmlt++3 libmlt6 libmlt6-data libmlt6-modules libmpeg2-0 libmpeg2convert0
      libpostproc53 libquicktime0 libsoftokn3 libsoftokn3-32bit libsox3 libswresample1 libswscale3 libvlc5 libvlccore8
      libwebrtc_audio_processing1 libxine2 libxine2-pulse melt melt6 mjpegtools mozilla-nspr mozilla-nspr-32bit
      mozilla-nss mozilla-nss-32bit mozilla-nss-certs mozilla-nss-certs-32bit mpv python-gstreamer-0_10 python-mlt sox
      typelib-1_0-Gst-1_0 typelib-1_0-GstAudio-1_0 typelib-1_0-GstPbutils-1_0 typelib-1_0-GstTag-1_0
      typelib-1_0-GstVideo-1_0 vlc vlc-codecs vlc-noX vlc-qt
    Bryan Sailer
    SpaceMonkey
    openSUSE LEAP 15.1
    KDE
    "Don't sweat the small stuff, it's all small stuff"

  6. #6

    Default Re: Sound Converter not recognizing mp3 encoder

    Quote Originally Posted by bryansailer View Post
    Should I disable LEAP 42.2 OSS repository?
    Definitely not!
    You need it.

    Quote Originally Posted by bryansailer View Post
    I also received this output when updating my system. Could this be a problem?
    Yes and no, or maybe.
    You do have some gstreamer stuff installed that is no longer available.

    This should (hopefully) fix your problem:
    Code:
    sudo zypper dup --from "Packman Repository"
    And as I wrote, install gstreamer-plugins-ugly-orig-addons too.
    Last edited by wolfi323; 05-Jul-2017 at 15:40.

  7. #7
    Join Date
    Apr 2017
    Location
    Piemont
    Posts
    274

    Default Re: Sound Converter not recognizing mp3 encoder

    It needs to be a priority for the packman repo .
    Yast> repository> click on packman> change from 99 to 90> OK
    sudo zypper dup

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,000
    Blog Entries
    14

    Default Re: Sound Converter not recognizing mp3 encoder

    Quote Originally Posted by V_idocq View Post
    It needs to be a priority for the packman repo .
    Yast> repository> click on packman> change from 99 to 90> OK
    sudo zypper dup
    Please don't do that, leave the priorities as they are. To use Packman properly, zypper dup --from it.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  9. #9
    Join Date
    Apr 2017
    Location
    Piemont
    Posts
    274

    Default Re: Sound Converter not recognizing mp3 encoder

    Quote Originally Posted by Knurpht View Post
    Please don't do that, leave the priorities as they are. To use Packman properly, zypper dup --from it.
    Without priority packets today Packman tomorrow Oss and so on or worse half and half
    I have always done so for more than 10 years and never have a problem.

    Or do you trust Repo Packman or do not put it

  10. #10
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,764

    Default Re: Sound Converter not recognizing mp3 encoder

    Things change vendor stickiness removes need for priorities setting.

    General rules

    zypper dup does not use vendor so highest numbered package comes from any repo priorities will be used if set I believe

    zypper up respects vendor so packages only come from the last vendor used to install priorities are ignored

    You can do a vendor switch using this form zypper dup --from repotoswitchto

    Also you can use yast to change repo/vendors on a package by package basis or en-mass

    Yast and packagekit updates respect vendor

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •